:root {
    --grey-l: rgba(205,205,205, .1);
    --grey-d: #602727b5;
    --grey-m: #602727b5;
    --black-l: rgba(159, 151, 151, .5);
    --black: #000000;
    --black-2: #000000;
    --white: rgba(255,255,255, 1);
    --red: red;
    --transition: all .2s ease-in;
}
.head {
    padding-top: 20px;
}
.h_main_title {

    text-transform: uppercase;
    font-size: 20px;
}
.form_search {
    display: flex;
    justify-content: space-between;
    justify-content: center;
}
.div_search { 
    display: flex;
    justify-content: flex-end;
    flex: 1;
    margin: 0;
}
.div_search_btns {
    display: flex;    
    flex: 1;
    align-items: center;
}

.div_search_btns::after { 
    content: '|';
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10px;
    height: 5px;
    color: var(--grey-l);
    /*background: url('../izobr/switch.png') no-repeat;   
    background-size: contain, cover;
    background-position: center center;
    order: 1; */
}

.div_search_btns .search_type:first-child  {
    order: 0;
}

.input_search {
    max-width: 300px;
    border-radius: 5px;
    border: 1px solid var(--grey-d);
}
.input_search::placeholder {
    color: var(--grey-d);
}


.button_search {
    border-radius: 5px;
    transition: var(--transition);

    order: 3;
}
.button_search:hover {
    background: var(--white);
    color: var(--red);
    border: 1px solid var(--red);
    transition: var(--transition);
}
.main_body {
    background: var(--grey-l);
}
.search_type {
    color: var(--grey-d);
    text-decoration: none;
    transition: var(--transition);
    order: 2;
}
.search_type:hover {
    color: var(--red);
    text-decoration: underline;
    transition: var(--transition);
}
.search_type.search_type_active {
    color: var(--red);
    text-decoration: underline;
}
.div_genre_header {
    border-bottom: 1px solid var(--grey-l);
    padding-bottom: 20px;
}

.div_genre_header .h3_genre {
    display: flex;
    align-items: center;

    text-decoration: none;
    text-transform: uppercase;
}

.div_genre_header .h3_genre:hover {
    color: var(--red);
}
.div_genre_header .h3_genre::after {
    content: '';
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-top: 0px;
    margin-left: 7px;
    background: url(../izobr/swp.png) no-repeat;
    background-size: 100% 100%;
}
.div_genre_list {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    transition: all .3s ease-in;   
    height: auto;
    padding: 10px 0px 10px 0px;
    overflow: hidden;
    background: var(--grey-l);
    border-top: 1px solid var(--grey-d);
    border-bottom: 1px solid var(--grey-d);
}
.div_genre_list.display_none  {
    display: block; 
    height: 0;
    padding: 0;
    overflow: hidden;
    transition: all .3s ease-in;
    opacity: 0.1;
}

.h_genre { 
    display: inline-block;
    align-items: center;
    border-radius: 5px;
    background: var(--white);
    transition: var(--transition);

    order: 3;
    color: var(--red);
    padding: 5px 10px 5px 10px;
    border: 2px solid var(--red);
}
.h_genre2 { 
    display: inline-block;
    align-items: center;
    border-radius: 5px;
    background: var(--white);
    transition: var(--transition);

    order: 3;
    color: var(--grey-d);
    padding: 5px 10px 5px 10px;
    border: 2px solid var(--grey-d);
}
.h_genre3 { 
    display: inline-block;
    align-items: center;
    border-radius: 5px;
    transition: var(--transition);

    order: 3;
    background: var(--red);
    color: var(--white);
    border: 2px solid var(--red);
    padding: 5px 10px 5px 10px;
}
.div_genre {
    margin: 0;
}
.h_genre:hover {
    background: var(--red);
    color: var(--white);
    border: 2px solid var(--red);
    transition: var(--transition);
}
.h_genre2:hover {
    background: var(--red);
    color: var(--white);
    border: 2px solid var(--red);
    transition: var(--transition);
}

.knigi_ramka {  
    padding: 20px  0px 20px  0px;
}


.main {
    display: grid;
    grid-template-columns: 2fr  1fr;
    gap: 0px;
    padding: 20px 20px 0px 20px 0px;
}

.center_col {
    max-width: none;
}

.knigi_ramka {
    padding: 20px 20px 20px 20px;
    font-size: 20px !important;
    color: var(--black) !important;

    border: 1px solid var(--grey-d);
    border-radius: 5px;
    transition: var(--transition);
}
a.a_knigi_block .knigi_ramka:hover {
    box-shadow: 8px 5px 4px -3px rgba(0,0,0,0.75);
    transition: var(--transition);
}

.a_genre {
    padding: 3px;
    margin: 0px;
}
.knigi_name,
.div_knigi_name {
    border-bottom: 1px solid var(--grey-d);
    padding: 0px 0px 0px 0px;
    margin: 0;
}
.knigi_name h4,
.h_knigi_name {

    color: var(--black);
    font-size: 20px;
    padding: 0px 0px 20px 0px;
}

.knigi_author,
.a_knigi_author {
    margin-top: 10px;
    margin-bottom: 10px;
    padding-top: 10px;
    font-size: 18px;
}
.knigi_seriya,
.div_knigi_seriya {
    padding: 0 0 0 0;
}
.knigi_genre,
.div_knigi_genre {
    padding: 10px 0 10px 0;
}
.knigi_seriya .knigi_span_seriya,
.div_knigi_seriya .a_knigi_seriya {
    display: inline-block;
    width: auto;
    align-items: center;
    color: var(--grey-m);

    font-size: 18px;
    background: var(--grey-l);
    padding: 10px 15px 10px 15px;
    border-radius: 5px;
}
.div_knigi_seriya .a_knigi_seriya {
    font-size: 18px;
}
.knigi_img {
    filter: grayscale(0%);
    width: 100px;
}

.knigi_ramka_left {
    margin-top: 0px;
}
.knigi_span_genre,
.a_knigi_genre {
    font-size: 17px;

}
.knigi_span_genre2 {
    color: var(--red);
}
.a_knigi_seriya:hover {
    color: var(--red);
}
.a_knigi_genre:hover {
    color: var(--red);
}
.knigi_r,
.div_knigi_r {
    display: flex;
    align-items: center;
    padding: 0 0 0 0;
}
.div_knigi_r {
    justify-content: flex-end;
}
.span_knigi_r_digit,
.span_knigi_r_digit2,
.span_avtor_l_r_digit,
.span_avtor_l_r_digit {
    font-size: 16px;
    color: var(--red);
}
.span_knigi_r_digit2 {
    font-size: 24px;
}
.span_vote_block {
    padding: 0px 10px 0px 10px;
}
.span_knigi_r,
.span_knigi_r2,
.span_knigi_similar_knigi_r,
.span_avtor_l_r_txt {
    max-width: 40px;
    font-size: 10px;
    padding-left: 5px;
    line-height: 10px;
    color: var(--grey-d);
}
.span_avtor_l_r_txt {
    padding-top: 0;
}
.knigi_ramka_inf {
    display: flex;
}
.knigi_ramka_left {
    order: 2;
    width: 100%;
}
.knigi_ramka_right {
    order: 1;
    width: auto;
}
.a_paging {
    background: var(--red);
    transition: var(--transition);
}

.a_paging:hover {
    background: var(--white);
    color: var(--grey-d);
    transition: var(--transition);
}

.knigi_img2 {
    padding: 0;
    margin-right: 0;
    filter: grayscale(0%);
}

.block_read_text {
    border: 1px solid var(--black-2);
    border-radius: 5px;
}

.div_block_knigi_similar_header {
    padding: 0;
    margin: 0;
}
.h_knigi_similar_series {

    color: var(--grey-m);
}
.a_knigi_similar_series {
    color: var(--red);
}
.div_block_knigi_similar {
    padding-top: 10px;
}
a.a_knigi_similar_knigi_name,
.span_knigi_similar_n {

}
a.a_knigi_similar_knigi_name:hover {
    color: var(--red);
}

.div_avtor_str {
    border: 1px solid var(--grey-d);
    border-radius: 5px;
    transition: var(--transition);
}

.h_avtor_l_name {

}
.a_avtor_l_str:hover .div_avtor_str {
    box-shadow: 8px 5px 4px -3px rgba(0,0,0,0.75);
    transition: var(--transition);
}

.select_font {
    border: 1px solid var(--grey-d);
    border-radius: 5px;
}

.button_plus_minus {
    border-radius: 5px;
}

.button_dark {
    border-radius: 5px;
    padding: 3px;
    background-size: 100% 100% !important;
    background-position: centent center;
    background: url(../izobr/sun.svg) no-repeat;
    border: 1px solid var(--grey-d);
}
.div_read_panel2.white_color {
    filter: invert(100%);
}

.dark_bg .h_knigi_name, 
.dark_bg .knigi_name h4,
.dark_bg .a_knigi_genre, 
.dark_bg .a_knigi_seriya, 
.dark_bg .h_main_title, 
.dark_bg .search_type, 
.dark_bg .h3_genre, 
.dark_bg .knigi_ramka, 
.dark_bg .knigi_span_seriya, 
.dark_bg .knigi_span_genre, 
.dark_bg .h_font_header, 
.dark_bg .h_knigi_similar_series, 
.dark_bg .span_knigi_similar_knigi_r_digit, 
.dark_bg .h_knigi_similar_knigi_name, 
.dark_bg .span_knigi_similar_n {
    color: var(--white) !important;
}

.div_menu {
    display: flex;
    justify-content: flex-start;
    color: var(--grey-d);
    padding: 0px 20px 10px 20px;
    text-align-last: left;

}
.a_menu {
    display: flex;
    text-decoration: none;
    align-items: center;

    font-size: 16px;
    color: var(--grey-d);
    padding: 0px 3px 0px 3px;
}
.a_menu::before {
    display: block;
    width: 10px;
    height: 12px;
}
.a_menu:hover {
    color: var(--red);
}

.knigi_ramka_left2 {
    margin-top: 0;
}

@media (max-width: 991px) {
    .main {
        grid-template-columns: 1fr;
    }
    .form_search {
        flex-flow: row wrap;
    }
    .div_search {
        width: 100%;
        justify-content: center;
        padding-bottom: 5px;
    }
    .div_search_btns {
        justify-content: center;
    }
    .div_menu {
        justify-content: center !important;
    }
}

@media (max-width: 425px) {
    .div_search_btns {
        flex-flow: row wrap;
        padding: 0;
    }
    .div_read_panel {
        flex-flow: row wrap;
        justify-content: center;
    }
    .div_read_panel2 {
        padding-top: 0px;
    } 
}

.input_comment
{
    width: -moz-available;
    width: -webkit-fill-available;
    font-size: 15px;
    color: var(--grey-m); 
}
.text_comment
{
    width: -moz-available;
    width: -webkit-fill-available;
    font-size: 15px;
    height: 80px;
    color: var(--grey-m);
}
.comment_header {
    display: flex;

    text-align: center;
    color: var(--grey-m);
    font-size: 16px;
    margin-left: 14px;
    margin-right: 10px;
    margin-bottom: 10px;
}
.comment_name {
    margin-bottom: 3px;
    margin-left: 5px;
    font-size: 15px;
    color: var(--red);
}
.comment_text {
    margin-bottom: 6px;
    font-size: 15px;
    color: var(--grey-m);
}
.comment_date {
    margin-bottom: 10px;
    font-size: 12px;
    text-align: right; 
    color: var(--red);
}
.button_com {
    border-radius: 5px;
    transition: var(--transition);
    height: 30px;
    order: 3;

    margin-left: 18px;
    cursor: pointer;
    color: #ffffff;

    background: red;
    border-style:  solid;
    border-width: 1px;
    border-color: #000000;
    width: 110px; 


    font-size: 17px;
}
.button_com:hover {
    background: var(--white);
    color: var(--red);
    border: 1px solid var(--red);
    transition: var(--transition);
}